using CommandUndoRedo;

public class CameraTransformCommand : ICommand
{
    public CameraContainer Container;

    public KeyframeDataCamera NewValues;
    public KeyframeDataCamera OldValues;

    public int Frame;

    public void Execute()
    {
        TimelineController.SetCurrentFrame(Frame);
        Container.PastePose(NewValues);
        Container.SetKeyframe();
    }

    public void UnExecute()
    {
        TimelineController.SetCurrentFrame(Frame);
        Container.PastePose(OldValues);
        Container.SetKeyframe();
    }
}